de.esprit.common.gui.util

## Class EnvMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<K,V>
      - - de.esprit.common.util.PowerMap<java.lang.String,java.lang.Object>
        - - de.esprit.common.util.PropertyMap
          - - de.esprit.common.gui.util.EnvMap

- All Implemented Interfaces:
    Dumpable, java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>

      public class EnvMap
      extends PropertyMap

  This class extends the PowerMap and adds special methods to store/restore window and frame sizes on the screen
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getAsColor(java.lang.String key)`
    `java.awt.Color` | `getAsColor(java.lang.String key, java.awt.Color defaultColor)`
    `java.awt.Dimension` | `getAsDimension(java.lang.String key)`
    `java.awt.Dimension` | `getAsDimension(java.lang.String key, java.awt.Dimension defaultDimension)`
    `java.awt.Point` | `getAsLocation(java.lang.String key)`
    `java.awt.Point` | `getAsLocation(java.lang.String key, java.awt.Point defaultLocation)`
    `java.lang.Object` | `put(java.lang.String key, java.awt.Color color)` Puts a Color object as a formatted String
    `java.lang.Object` | `put(java.lang.String key, java.awt.Dimension dim)` Puts a Dimension object as a formatted String
    `java.lang.Object` | `put(java.lang.String key, java.awt.Point point)` Puts a Point object as a formatted String
    `void` | `put(java.lang.String key, java.awt.Window win)` Stores the given window's size and position under the given key.

    - ### Methods inherited from class de.esprit.common.util.PropertyMap

      `clone, loadFrom, loadFrom, saveTo, saveTo, saveTo`

    - ### Methods inherited from class de.esprit.common.util.PowerMap

      `createDumpHeader, getAsBoolean, getAsBoolean, getAsDate, getAsDate, getAsDouble, getAsDouble, getAsDuration, getAsDuration, getAsFloat, getAsFloat, getAsInt, getAsInt, getAsLong, getAsLong, getAsShort, getAsShort, getAsString, getAsString, getAsTime, getAsTime, getAsTimestamp, getAsTimestamp, getMaxKeyLength, reverse, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, get, removeEldestEntry`

    - ### Methods inherited from class java.util.HashMap

      `containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

- - ### Constructor Detail

    - #### EnvMap

          public EnvMap()

  - ### Method Detail

    - #### put

          public void put(java.lang.String key,
                 java.awt.Window win)

      Stores the given window's size and position under the given key.

    - #### put

          public java.lang.Object put(java.lang.String key,
                             java.awt.Color color)

      Puts a Color object as a formatted String

    - #### put

          public java.lang.Object put(java.lang.String key,
                             java.awt.Dimension dim)

      Puts a Dimension object as a formatted String

    - #### put

          public java.lang.Object put(java.lang.String key,
                             java.awt.Point point)

      Puts a Point object as a formatted String

    - #### getAsColor

          public java.awt.Color getAsColor(java.lang.String key)

    - #### getAsColor

          public java.awt.Color getAsColor(java.lang.String key,
                                  java.awt.Color defaultColor)

    - #### getAsDimension

          public java.awt.Dimension getAsDimension(java.lang.String key)

    - #### getAsDimension

          public java.awt.Dimension getAsDimension(java.lang.String key,
                                          java.awt.Dimension defaultDimension)

    - #### getAsLocation

          public java.awt.Point getAsLocation(java.lang.String key)

    - #### getAsLocation

          public java.awt.Point getAsLocation(java.lang.String key,
                                     java.awt.Point defaultLocation)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.